Get Benefits
/unified/hris/benefits/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for benefits
1 supported
1 supported
This represents the description of the company benefit
The unique identifier for company benefits
This represents the name of the company benefit
This represents the company contribution
1 supported
This represents the date when the benefits was created
This represents the currency in which the contribution is made
Employee associated with this benefit
1 supported
The unique identifier for employees
This represents the name of the employee
This represents the employee contribution
1 supported
This represents the end date of the benefit
The name of the benefit
This represents the provider name
Raw data returned from the remote API call.
This represents the start date of the benefit
This represents the status of the benefit
1 supported
This represents the date when the benefits was updated
curl -X GET 'https://api.truto.one/unified/hris/benefits/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/hris/benefits/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/hris/benefits/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'hris',
'benefits',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"hris",
"benefits",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())